Bug 839329 - Review Request: python-virtualenv-clone - Script to clone virtualenvs
Review Request: python-virtualenv-clone - Script to clone virtualenvs
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Pierre-YvesChibon
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 830602
  Show dependency treegraph
 
Reported: 2012-07-11 11:20 EDT by Ralph Bean
Modified: 2012-07-20 09:53 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-07-20 09:53:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
pingou: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Ralph Bean 2012-07-11 11:20:56 EDT
Spec URL: http://threebean.org/rpm/python-virtualenv-clone.spec
SRPM URL: http://threebean.org/rpm/python-virtualenv-clone-0.2.4-1.fc17.src.rpm
Description: A script for cloning a non-relocatable virtualenv.

Virtualenv provides a way to make virtualenv's relocatable which could then
be copied as we wanted. However making a virtualenv relocatable this way
breaks the no-site-packages isolation of the virtualenv as well as other
aspects that come with relative paths and '/usr/bin/env' shebangs that may
be undesirable.

Also, the .pth and .egg-link rewriting doesn't seem to work as intended.
This attempts to overcome these issues and provide a way to easily clone an
existing virtualenv.

Fedora Account System Username: ralph


rpmlint output
--------------
(pypi2spec)--- ~/rpmbuild ยป rpmlint {SPECS,SRPMS}/python-virtualenv-clone* /var/lib/mock/fedora-17-x86_64/result/*.rpm 
python-virtualenv-clone.src: W: spelling-error Summary(en_US) virtualenvs -> virtual
python-virtualenv-clone.src: W: spelling-error %description -l en_US usr -> use, us, user
python-virtualenv-clone.src: W: spelling-error %description -l en_US env -> enc, en, envy
python-virtualenv-clone.src: W: spelling-error %description -l en_US pth -> pt, pith, path
python-virtualenv-clone.noarch: W: spelling-error Summary(en_US) virtualenvs -> virtual
python-virtualenv-clone.noarch: W: spelling-error %description -l en_US env -> enc, en, envy
python-virtualenv-clone.noarch: W: spelling-error %description -l en_US pth -> pt, pith, path
python-virtualenv-clone.noarch: W: no-manual-page-for-binary virtualenv-clone
python-virtualenv-clone.src: W: spelling-error Summary(en_US) virtualenvs -> virtual
python-virtualenv-clone.src: W: spelling-error %description -l en_US usr -> use, us, user
python-virtualenv-clone.src: W: spelling-error %description -l en_US env -> enc, en, envy
python-virtualenv-clone.src: W: spelling-error %description -l en_US pth -> pt, pith, path
3 packages and 1 specfiles checked; 0 errors, 12 warnings.



NOTES
-----
 There is no LICENSE file shipped with the distribution.  I've sent a patch to
 upstream to have it included here:  https://github.com/edwardgeorge/virtualenv-clone/pull/7

 The package supports python3, but I have disabled it in the spec until
 python3-virtualenv becomes available:  https://bugzilla.redhat.com/show_bug.cgi?id=537246

 I don't believe either of these are blockers for the review.
Comment 1 Pierre-YvesChibon 2012-07-16 15:16:49 EDT
Package Review
==============

Key:
- = N/A
x = Pass
! = Fail
? = Not evaluated



==== Generic ====
[x]: EXTRA Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: EXTRA Spec file according to URL is the same as in SRPM.
     Note: Spec file as given by url is not the same as in SRPM (see attached
     diff).
[x]: MUST Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: MUST Package successfully compiles and builds into binary rpms on at
     least one supported primary architecture.
[-]: MUST %build honors applicable compiler flags or justifies otherwise.
[x]: MUST All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: MUST Buildroot is not present
     Note: Unless packager wants to package for EPEL5 this is fine
[x]: MUST Package contains no bundled libraries.
[x]: MUST Changelog in prescribed format.
[x]: MUST Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: MUST Sources contain only permissible code or content.
[x]: MUST Each %files section contains %defattr if rpm < 4.4
     Note: Note: defattr macros not found. They would be needed for EPEL5
[x]: MUST Macros in Summary, %description expandable at SRPM build time.
[-]: MUST Package contains desktop file if it is a GUI application.
[-]: MUST Development files must be in a -devel package
[x]: MUST Package requires other packages for directories it uses.
[x]: MUST Package uses nothing in %doc for runtime.
[x]: MUST Package is not known to require ExcludeArch.
[x]: MUST Permissions on files are set properly.
[x]: MUST Package does not contain duplicates in %files.
[x]: MUST Fully versioned dependency in subpackages, if present.
[x]: MUST Package complies to the Packaging Guidelines
[x]: MUST Spec file lacks Packager, Vendor, PreReq tags.
[x]: MUST Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf would be needed if support for EPEL5 is required
[-]: MUST Large documentation files are in a -doc subpackage, if required.
[-]: MUST If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %doc.
[x]: MUST License field in the package spec file matches the actual license.
[-]: MUST License file installed when any subpackage combination is installed.
[x]: MUST Package consistently uses macro is (instead of hard-coded directory
     names).
[x]: MUST Package is named using only allowed ascii characters.
[x]: MUST Package is named according to the Package Naming Guidelines.
[x]: MUST Package does not generate any conflict.
[x]: MUST Package obeys FHS, except libexecdir and /usr/target.
[x]: MUST Package must own all directories that it creates.
[x]: MUST Package does not own files or directories owned by other packages.
[x]: MUST Package installs properly.
[x]: MUST Package is not relocatable.
[x]: MUST Requires correct, justified where necessary.
[x]: MUST Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: MUST Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: MUST Spec file is legible and written in American English.
[x]: MUST Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[-]: MUST Package contains systemd file(s) if in need.
[x]: MUST File names are valid UTF-8.
[x]: SHOULD Reviewer should test that the package builds in mock.
[x]: SHOULD If the source package does not include license text(s) as a
     separate file from upstream, the packager SHOULD query upstream to
     include it.
[x]: SHOULD Dist tag is present.
[x]: SHOULD No file requires outside of /etc, /bin, /sbin, /usr/bin,
     /usr/sbin.
[x]: SHOULD Final provides and requires are sane (rpm -q --provides and rpm -q
     --requires).
[x]: SHOULD Package functions as described.
[x]: SHOULD Latest version is packaged.
[-]: SHOULD Package does not include license text files separate from
     upstream.
[x]: SHOULD SourceX / PatchY prefixed with %{name}.
[x]: SHOULD SourceX is a working URL.
[-]: SHOULD Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: SHOULD Package should compile and build into binary rpms on all supported
     architectures.
[!]: SHOULD %check is present and all tests pass.
[x]: SHOULD Packages should try to preserve timestamps of original installed
     files.
[x]: SHOULD Spec use %global instead of %define.

Rpmlint
-------
Checking: python-virtualenv-clone-0.2.4-1.fc16.noarch.rpm
          python-virtualenv-clone-0.2.4-1.fc16.src.rpm
python-virtualenv-clone.noarch: W: spelling-error Summary(en_US) virtualenvs -> virtual
python-virtualenv-clone.noarch: W: spelling-error %description -l en_US env -> enc, en, envy
python-virtualenv-clone.noarch: W: spelling-error %description -l en_US pth -> pt, pith, path
python-virtualenv-clone.noarch: W: no-manual-page-for-binary virtualenv-clone
python-virtualenv-clone.src: W: spelling-error Summary(en_US) virtualenvs -> virtual
python-virtualenv-clone.src: W: spelling-error %description -l en_US usr -> use, us, user
python-virtualenv-clone.src: W: spelling-error %description -l en_US env -> enc, en, envy
python-virtualenv-clone.src: W: spelling-error %description -l en_US pth -> pt, pith, path
2 packages and 0 specfiles checked; 0 errors, 8 warnings.

These can be ignored

MD5-sum check
-------------
http://pypi.python.org/packages/source/v/virtualenv-clone/virtualenv-clone-0.2.4.tar.gz :
  MD5SUM this package     : 71168b975eaaa91e65559bcc79290b3b
  MD5SUM upstream package : 71168b975eaaa91e65559bcc79290b3b

This is fine.

All good to go: APPROVED
Comment 2 Ralph Bean 2012-07-16 15:27:19 EDT
New Package SCM Request
=======================
Package Name: python-virtualenv-clone
Short Description: Script to clone virtualenvs
Owners: ralph
Branches: f16 f17 el6
InitialCC:
Comment 3 Gwyn Ciesla 2012-07-16 15:33:04 EDT
Git done (by process-git-requests).
Comment 4 Ralph Bean 2012-07-16 16:14:41 EDT
Submitted for testing - https://admin.fedoraproject.org/updates/python-virtualenv-clone

Note You need to log in before you can comment on or make changes to this bug.